%bcond_with bootstrap

Name:           univocity-parsers
Version:        2.9.1
Release:        %mkrel 9
Group:          Development/Java
Summary:        Collection of parsers for Java
License:        Apache-2.0
URL:            https://github.com/uniVocity/univocity-parsers
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        https://github.com/uniVocity/univocity-parsers/archive/v%{version}.tar.gz

Patch0:         0001-Resolve-import-clash-with-OpenJDK-17.patch

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
%endif

%description
uniVocity-parsers is a suite of extremely fast and reliable parsers
for Java.  It provides a consistent interface for handling different
file formats, and a solid framework for the development of new
parsers.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q
%patch0 -p1

%pom_remove_plugin :nexus-staging-maven-plugin
%pom_remove_plugin :maven-compiler-plugin
%pom_remove_plugin :maven-javadoc-plugin

%build
# Tests require univocity-output-tester, which is not packaged yet.
%mvn_build -f -- -Dmaven.compiler.source=1.7 -Dmaven.compiler.target=1.7

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE-2.0.html

%files javadoc -f .mfiles-javadoc
%license LICENSE-2.0.html


%changelog
* Thu Sep 14 2023 daviddavid <daviddavid> 2.9.1-9.mga10
+ Revision: 1986476
- Convert License tag to SPDX format

* Mon Jul 25 2022 neoclust <neoclust> 2.9.1-8.mga9
+ Revision: 1871135
- Disable bootstrap

* Sun Jul 24 2022 neoclust <neoclust> 2.9.1-7.mga9
+ Revision: 1870960
- Add bootstrap build mode
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Feb 26 2021 daviddavid <daviddavid> 2.9.1-1.mga9
+ Revision: 1691686
- Update to version 2.9.1

* Sun Aug 30 2020 daviddavid <daviddavid> 2.9.0-1.mga8
+ Revision: 1620135
- Update to version 2.9.0

* Mon Jul 27 2020 daviddavid <daviddavid> 2.8.4-1.mga8
+ Revision: 1609253
- Update to version 2.8.4
- Allow building without tests

* Sun Feb 16 2020 umeabot <umeabot> 2.8.3-2.mga8
+ Revision: 1536310
- Mageia 8 Mass Rebuild

* Tue Oct 15 2019 daviddavid <daviddavid> 2.8.3-1.mga8
+ Revision: 1453804
- Update to version 2.8.3

* Tue Dec 04 2018 daviddavid <daviddavid> 2.5.5-1.mga7
+ Revision: 1338205
- imported package univocity-parsers


* Tue Aug 21 2018 Mat Booth <mat.booth@redhat.com> - 2.5.5-4
- Remove unnecessary javadoc invocation

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Sep 14 2017 Mikolaj Izdebski <mizdebsk@redhat.com> - 2.5.5-1
- Initial packaging
